%define upstream_name    Graph-Flowchart
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A node in a Graph::Flowchart, representing a block/expression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graph::Easy)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module lets you easily create flowcharts as Graph::Easy objects. This
means you can output your flowchart as HTML, ASCII, Boxart (unicode
drawing) or SVG.



Classes
    The nodes constructed by the various 'add_*' methods will set the
    subclass of the node according to the following list:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc SIGNATURE LICENSE README META.yml CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.110.0-12.mga10
+ Revision: 2203976
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-11.mga9
+ Revision: 1809395
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-10.mga8
+ Revision: 1504611
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-9.mga7
+ Revision: 1283949
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.110.0-8.mga7
+ Revision: 1164590
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.110.0-7.mga7
+ Revision: 1159173
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-6.mga6
+ Revision: 1027964
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-5.mga6
+ Revision: 944910
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 749729
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 684893
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 525699
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 shlomif <shlomif> 0.110.0-1.mga4
+ Revision: 434179
- imported package perl-Graph-Flowchart


* Sat Jun 01 2013 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
